apiVersion: autoscaling/v2
kind: HorizontalPodAutoscaler
metadata:
  name: python-demoapp
  namespace: python-demoapp-namespace
spec:
  scaleTargetRef:
    apiVersion: apps/v1
    kind: Deployment
    name: python-demoapp
  minReplicas: 1
  maxReplicas: 2
  metrics:
    - type: Resource
      resource:
        name: cpu
        target:
          type: Utilization
          averageUtilization: 98
